Post a comment or reply on an activity
POST /api/member/activities/{activityId}/comments. Post a comment or reply on an activity. Headless LMS Discussion API reference.
For anyone who can open the course, while discussion is on for the activity (403 otherwise). Lands pending when the course requires review and you do not hold courses:moderate on it. Replies nest one level and need threading on.
Path Parameters
activityId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/member/activities/string/comments" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "id": "string", "activityId": "string", "postId": "string", "communityId": "string", "parentId": "string", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "body": "string", "status": "pending", "removedBy": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "reactions": { "property1": 0, "property2": 0 }, "viewerReaction": "string", "mentions": [ { "orgUserId": "string", "name": "string" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}